Package org.jboss.resteasy.concurrent

## Class ResteasyThreadContext

- java.lang.Object
- - org.jboss.resteasy.concurrent.ResteasyThreadContext

- All Implemented Interfaces:
    `ThreadContext<Map<Class<?>,​Object>>`

      public class ResteasyThreadContext
      extends Object
      implements ThreadContext<Map<Class<?>,​Object>>

  Author:
    James R. Perkins

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyThreadContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<Class<?>,​Object>` | `capture()` | Captures the current context to be passed to `ThreadContext.push(Object)` before a thread executes.
    `void` | `push​(Map<Class<?>,​Object> context)` | Pushes the context previously captured to the currently running thread.
    `void` | `reset()` | Resets the context on the current thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyThreadContext

          public ResteasyThreadContext()

  - ### Method Detail

    - #### capture

          public Map<Class<?>,​Object> capture()

      Description copied from interface: `ThreadContext`
      Captures the current context to be passed to `ThreadContext.push(Object)` before a thread executes.
      Specified by:
        `capture` in interface `ThreadContext<Map<Class<?>,​Object>>`
      Returns:
        the current context

    - #### push

          public void push​(Map<Class<?>,​Object> context)

      Description copied from interface: `ThreadContext`
      Pushes the context previously captured to the currently running thread.
      Specified by:
        `push` in interface `ThreadContext<Map<Class<?>,​Object>>`
      Parameters:
        `context` - the context to push

    - #### reset

          public void reset()

      Description copied from interface: `ThreadContext`
      Resets the context on the current thread.
      Specified by:
        `reset` in interface `ThreadContext<Map<Class<?>,​Object>>`